%define name last-exit
%define version 5
%define release %mkrel 3

Summary: Last.fm web radio player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://lastexit-player.org/releases/%{name}-%{version}.tar.bz2
Patch: last-exit-5-dllmap.patch
License: GPL
Group: Sound
Url: http://lastexit-player.org/index.php/Main_Page
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-sharp2 mono-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: libGConf2-devel
BuildRequires: libsexy-devel
BuildRequires: perl-XML-Parser
BuildRequires: ndesk-dbus-glib
BuildRequires: dbus-glib-devel
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Requires: mono
Requires: gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly

%description
This is a radio player program for last.fm with a GNOME user interface.

%prep
%setup -q
%patch -p1

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
rm -f %buildroot%_libdir/%name/*a

%find_lang %name

%post
%update_icon_cache hicolor
%define schemas last-exit lastfm
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS
%_bindir/%name
%_datadir/applications/%name.desktop
%_libdir/%name
%_datadir/icons/hicolor/*/apps/*
%_datadir/icons/hicolor/*/actions/*
%_sysconfdir/gconf/schemas/last-exit.schemas
%_sysconfdir/gconf/schemas/lastfm.schemas




%changelog
* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 5-3mdv2008.0
+ Revision: 59653
- build with external ndesk-dbus

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 5-2mdv2008.0
+ Revision: 55185
- fix dll map (bug #32084)

* Mon May 07 2007 Götz Waschk <waschk@mandriva.org> 5-1mdv2008.0
+ Revision: 24146
- new version
- new URL
- update deps


* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 4-1mdv2007.0
+ Revision: 110070
- new version
- disable parallel make
- update file list
- Import last-exit

* Mon Sep 25 2006 Götz Waschk <waschk@mandriva.org> 3-1mdv2007.0
- drop patch
- New version 3

* Thu Sep 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0-4mdv2007.0
- Patch0 (CVS): fix crash and use gconf setting for gstreamer output

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 2.0-3mdv2007.0
- fix buildrequires

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2007.0
- reuild for new dbus

* Fri Jul 28 2006 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2007.0
- fix buildrequires
- New release 2.0

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.0
- initial package

